import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()

## Do not forget to run for lxml dependencies
## apt-get install libxml2-dev libxslt1-dev

requires = [
    'pyramid',
    'pyramid_chameleon',
    'pyramid_debugtoolbar',
    'pyramid_tm',
    'SQLAlchemy',
    'transaction',
    'zope.sqlalchemy',
    'waitress',
    'wtforms',
    'webhelpers',
    'lxml',
    'python-slugify',
    'icalendar',
    'python-magic'
    ]

setup(name='JM2L',
      version='0.0',
      description='JM2L',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      author='',
      author_email='',
      url='',
      keywords='web wsgi bfg pylons pyramid',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      test_suite='jm2l',
      install_requires=requires,
      entry_points="""\
      [paste.app_factory]
      main = jm2l:main
      [console_scripts]
      initialize_JM2L_db = jm2l.scripts.initializedb:main
      """,
      )
